curl -X GET 'https://api.telegent.com/v1.0/distributor/products?Filter=All' \
-H 'Authorization: Bearer YOUR_TOKEN'{
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"TotalProducts": 2,
"Filter": "All",
"Results": [
{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415-e1194b0f8936",
"SKU": "eSim",
"Description": "Telegent eSim 1.0",
"AggregatorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "Type 1.1",
"SubType": "1",
"Cost": 34.56,
"BillingFrequency": "1",
"Active": true
},
{
"ProductId": "PRID-93d4fb71-8574-42ee-abc6-4c54f8240743",
"SKU": "eSim Vince 2.0",
"Description": "Telegent eSim",
"AggregatorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "esim",
"SubType": "0",
"Cost": 12.34,
"BillingFrequency": "1",
"Active": true
}
]
}Retrieve the list of products associated with the distributor. Filter by status (All, Active, Inactive).
curl -X GET 'https://api.telegent.com/v1.0/distributor/products?Filter=All' \
-H 'Authorization: Bearer YOUR_TOKEN'{
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"TotalProducts": 2,
"Filter": "All",
"Results": [
{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415-e1194b0f8936",
"SKU": "eSim",
"Description": "Telegent eSim 1.0",
"AggregatorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "Type 1.1",
"SubType": "1",
"Cost": 34.56,
"BillingFrequency": "1",
"Active": true
},
{
"ProductId": "PRID-93d4fb71-8574-42ee-abc6-4c54f8240743",
"SKU": "eSim Vince 2.0",
"Description": "Telegent eSim",
"AggregatorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "esim",
"SubType": "0",
"Cost": 12.34,
"BillingFrequency": "1",
"Active": true
}
]
}